Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class IssueAgenda

    java.lang.Object
      ix.ip2.Agenda
          ix.ip2.IssueAgenda

All Implemented Interfaces:
  ProcessStatusListener, AgendaManager, java.util.EventListener

    public class IssueAgenda

extends Agenda

An agenda of issues

Field Summary

Fields inherited from class ix.ip2.Agenda
`controller, handlers, items, listeners`

Constructor Summary
`IssueAgenda(PanelController controller)`

Method Summary
`void` | `addItem(AgendaItem item)`
`void` | `addItemsBefore(AgendaItem at, java.util.List addList)`
`(package private) void` | `logItemHandled(AgendaItem item, HandlerAction act)`
`AgendaItem` | `makeItem(LList pattern)`
`AgendaItem` | `makeItem(TaskItem issue)`

Methods inherited from class ix.ip2.Agenda
`acceptReport, addAgendaListener, addHandlerActions, addItemHandler, canHandleAutomatically, checkActionValidity, checkActionValidity, checkActionValidity, clear, computeActionStatus, computeActionStatus, expandItem, fireItemAdded, fireItemHandled, fireItemRemoved, fireNewBindings, getItem, getItemHandlers, getItems, getSyntaxList, handleAutomatically, handleItem, handleItemDirectly, makeItem, newBindings, reconsiderHandler, removeItem, reset, stateChange, stateDeletion, statusUpdate, wantsReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssueAgenda

    public IssueAgenda(PanelController controller)

Method Detail

### makeItem

    public AgendaItem makeItem(LList pattern)

  Specified by:
    `makeItem` in interface `AgendaManager`
  Specified by:
    `makeItem` in class `Agenda`

### makeItem

    public AgendaItem makeItem(TaskItem issue)

  Specified by:
    `makeItem` in class `Agenda`

### addItem

    public void addItem(AgendaItem item)

  Specified by:
    `addItem` in interface `AgendaManager`
  Overrides:
    `addItem` in class `Agenda`

### addItemsBefore

    public void addItemsBefore(AgendaItem at,
                               java.util.List addList)

  Overrides:
    `addItemsBefore` in class `Agenda`

### logItemHandled

    void logItemHandled(AgendaItem item,
                        HandlerAction act)

  Overrides:
    `logItemHandled` in class `Agenda`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD